# -*- encoding: utf-8 -*-

from django.conf import settings

from django.core.management.base import BaseCommand
from django.contrib.auth.models import User 
from auf.django.references.models import Authentification as RemoteUser

class Command(BaseCommand):
    help = u"""
        * importer : création des users Django à partir des employés.
    """

    def handle(self, *args, **options):
        if len(args) != 1:
            print self.help
            return

        command = args[0]
        if command.lower() == u"importer":
            self.importer()
            return "\nImportation terminée"

    def importer(self):
        employes = RemoteUser.objects.filter(actif=True)
        for employe in employes:

            username = employe.courriel.replace(u"@auf.org", u"")
            prenom, sep, nom = username.partition('.')
            
            if User.objects.filter(username=username).exists():
                print "~ %s" % User.objects.get(username=username)
                continue

            user = User()
            user.username = username
            user.first_name = prenom.title()
            user.last_name = nom.title()
            user.email = employe.courriel
            user.is_staff = getattr(settings, 'CREATE_USER_WITH_STAFF', False)
            user.is_active = True
            user.is_superuser = False
            user.save()
            print "+ %s" % user
